package com.caimei365.user.mapper;

import com.caimei365.user.model.dto.ShopArticleDto;
import com.caimei365.user.model.po.ArticlePo;
import com.caimei365.user.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/3/16
 */
@Mapper
public interface ArticleMapper {
    /**
     * 新增供应商文章
     */
    void insertShopArticle(ArticlePo articlePo);
    /**
     * 更新供应商文章
     * @param articlePo
     */
    void updateShopArticle(ArticlePo articlePo);
    /**
     * 根据文章id查询供应商文章内容
     */
    ShopArticleVo getShopArticleById(Integer articleId);
    /**
     * 查询文章分类列表
     */
    List<ArticleTypeVo> getArticleTypeList(String parentId);
    /**
     * 根据文章标签查询标签id
     */
    Integer getArticleLabelId(String label);
    /**
     * 新增文章标签
     */
    void insertArticleLabel(String label);
    /**
     * 新增文章浏览/点赞记录
     */
    void insertArticlePraise(Integer articleId);
    /**
     * 查询供应商文章列表
     * @param shopArticleDto
     */
    List<ShopArticleVo> getShopArticleList(ShopArticleDto shopArticleDto);

    /**
     * 更新供应商文章状态
     */
    void updateArticleStatus(@Param("articleId") Integer articleId, @Param("status") Integer status);

    /**
     * 查询文章标签
     */
    String getArticleLabelList();

    /**
     * 删除文章
     * @param articleId
     */
    void deleteArticle(Integer articleId);
}
