package com.caimei365.user.model.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 */
@Data
public class MessageCenter implements Serializable {
    /**
     * 消息id
     */
    private Integer id;
    /**
     * 供应商id
     */
    private Integer shopId;
    /**
     * 机构id
     */
    private Integer clubId;
    /**
     * 订单ID
     */
    private Integer orderId;
    /**
     * 用户类型1.机构2.供应商
     */
    private Integer userType;
    /**
     * 消息类型1.交易物流2.账户通知3.服务通知4.优惠促销
     */
    private Integer messageType;
    /**
     * 消息内容
     */
    private String content;
    /**
     * 操作完成时间
     */
    private String time;
    /**
     * 账户通知类型 1.注册成功通知 2.购买超级会员成功 3.超级会员到期提醒 4.超级会员到期提醒 5.升级资质机构成功 6.升级资质机构失败 7.成为机构运营人员通知
     */
    private Integer accountType;
    /**
     * 优惠券类型 1.优惠券待领取通知 2.优惠券过期通知
     */
    private Integer couponType;
    /**
     * 优惠券金额
     */
    private Double couponFee;
    /**
     * 主图
     */
    private String mainImage;
    /**
     * 是否能走线上支付 0可以 1不可以 只能线下
     */
    private Integer onlinePayFlag;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 供应商消息类型 1,账号审核通知,2.成为公司运营人员通知,3.商品上架审核通知,4.新品展示审核通知,5.上架费到期通知 6.商品资质到期通知
     */
    private Integer shopMessType;
    /**
     * 服务消息类型 1.上架费，2.机构重新分配通知，3.机构转移分配通知，4.机构分配通知，5.客户经理分配通知，6.客户经理重新分配通知,7.机构访问通知，8机构回收通知
     */
    private Integer shopTieredType;
    /**
     * 交易物流1.下单成功通知  2.订单支付完成 3.退款/货成功通知 4.订单取消通知 5.订单发货通知 6.自动收货通知
     */
    private Integer orderMessageType;
    /**
     * 0.未读 , 1.已读
     */
    private Integer saved;
    /**
     * 优惠券类型 1.优惠券待领取通知 2.优惠券过期通知
     */
    private Integer couponMessageType;
    /**
     * 商品记录数
     */
    private Integer productCount;
    /**
     * 退货退款类型：1部分退、2全部退
     */
    private Integer refundType;

    /**
     *订单状态
     */
    private Integer status;
    /**
     * 商品ID
     */
    private Integer productId;

    /**
     * 供应商公司名称
     */
    private String shopName;
    /**
     * 失败原因
     */
    private String reasonContent;


    /** 手机号 */
    private String mobile;

    /** 名称 */
    private String name;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 前用户名称
     */
    private String superUserName;

    /**
     * 当前id
     */
    private Integer thisId;
    /**
     * 数量
     */
    private Integer sum;
}
