package com.caimei365.user.service.impl;

import java.util.List;

import com.caimei365.user.mapper.CmBrandFilesMapper;
import com.caimei365.user.model.po.CmBrandFiles;
import com.caimei365.user.model.vo.CmBrandFilesVO;
import com.caimei365.user.service.CmBrandFilesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 文件资源Service业务层处理
 *
 * @author Kaick
 * @date 2023-05-31
 */
@Service
public class CmBrandFilesServiceImpl implements CmBrandFilesService
{
    @Autowired
    private CmBrandFilesMapper cmBrandFilesMapper;

    /**
     * 查询文件资源
     *
     * @param id 文件资源主键
     * @return 文件资源
     */
    @Override
    public CmBrandFiles selectCmBrandFilesById(String id)
    {
        return cmBrandFilesMapper.selectCmBrandFilesById(id);
    }

    /**
     * 查询文件资源列表
     *
     * @param cmBrandFiles 文件资源
     * @return 文件资源
     */
    @Override
    public List<CmBrandFilesVO> selectCmBrandFilesList(CmBrandFiles cmBrandFiles)
    {
        return cmBrandFilesMapper.selectCmBrandFilesList(cmBrandFiles);
    }

    /**
     * 新增文件资源
     *
     * @param cmBrandFiles 文件资源
     * @return 结果
     */
    @Override
    public int insertCmBrandFiles(CmBrandFiles cmBrandFiles)
    {
        return cmBrandFilesMapper.insertCmBrandFiles(cmBrandFiles);
    }

    /**
     * 修改文件资源
     *
     * @param cmBrandFiles 文件资源
     * @return 结果
     */
    @Override
    public int updateCmBrandFiles(CmBrandFiles cmBrandFiles)
    {
        return cmBrandFilesMapper.updateCmBrandFiles(cmBrandFiles);
    }

    /**
     * 批量删除文件资源
     *
     * @param ids 需要删除的文件资源主键
     * @return 结果
     */
    @Override
    public int deleteCmBrandFilesByIds(String[] ids)
    {
        return cmBrandFilesMapper.deleteCmBrandFilesByIds(ids);
    }

    /**
     * 删除文件资源信息
     *
     * @param id 文件资源主键
     * @return 结果
     */
    @Override
    public int deleteCmBrandFilesById(String id)
    {
        return cmBrandFilesMapper.deleteCmBrandFilesById(id);
    }
}
